# frozen_string_literal: true

module Lexoranking
  class LexorankingError < StandardError
  end

  # RankingScopeNotValid class
  class RankingScopeNotValid < LexorankingError
    attr_reader :record

    def initialize(message=nil, record=nil)
      @record = record
      super(message)
    end
  end

  # ModelDoNotExists class
  class ModelDoNotExists < LexorankingError
    attr_reader :record

    def initialize(message=nil, record=nil)
      @record = record
      super(message)
    end
  end
end
